Plus Emu 1.79 Fehlermeldung

  • Ich habe ein Hotel auf meinm localhost laufen, da funktioniert alles einwandfrei. Wenn ich jetzt die IP überall abänder und die Datein auf meinen Windows Server 2008 schmeiße, bekomme ich mein starten meines Emulators folgende Fehlermeldung.




    Die errorlog ist leer aber in der ExceptionsLog steht folgendes:


    "c:\inetpub\wwwrootalt\Flux..." Ist in diesem fall eigentlich total falsch da ich auf diesem Server Xampp laufen habe. Ich weiß das IIS 10 mal besser, sicherer und einfacher ist. Aber ich verstehe nicht warum der Emulator nach Datein in dem IIS Ordner sucht wenn er doch über xampp läuft ?


    CMS und Datenbank funktionieren übrigens einwandfrei auf dem Server.

  • Ich bin nunmal kein Doktor der Informatik.

    Als Doktor von was auch immer sollte dir aber klar sein, dass ein Problem bestmöglich behebbar ist, wenn ausreichende Informationen vorliegen. Auf dem Bild wird beschrieben wo der Fehler aufgetreten ist, jedoch ist das so als ob du den Weg von Berlin nach Stuttgart auswendig herunterratterst. Damit kann keiner was anfangen, ein Stadtplan oder Navi muss her.

  • Als Doktor von was auch immer sollte dir aber klar sein, dass ein Problem bestmöglich behebbar ist, wenn ausreichende Informationen vorliegen. Auf dem Bild wird beschrieben wo der Fehler aufgetreten ist, jedoch ist das so als ob du den Weg von Berlin nach Stuttgart auswendig herunterratterst. Damit kann keiner was anfangen, ein Stadtplan oder Navi muss her.

    Ich verstehe. Wie allerdings bereits beschrieben liegen die Datein nicht an dem angegebenen Ort.

    "c:\inetpub\wwwrootalt\Flux..." Ist in diesem fall eigentlich total falsch da ich auf diesem Server Xampp laufen habe. Ich weiß das IIS 10 mal besser, sicherer und einfacher ist. Aber ich verstehe nicht warum der Emulator nach Datein in dem IIS Ordner sucht wenn er doch über xampp läuft ?


    Dennoch hier der Sourcecode der Datei program.cs


  • Der Sourcecode ist in diesem Fall nicht relevant und das Problem über die Änderung der Source lösen zu wollen, ist der falsche, insbesondere deutlich aufwendigere Ansatz.

    Dass es weniger ein programmspezifisches Problem ist, erkennt man schon daran, dass der Emulator unter einer anderen Windows Version einwandfrei läuft, wie der Threadersteller festgestellt hat. Entsprechend ist davon auszugehen, dass es an der Systemkompatibilität hapert.


    Eine Recherche nach der BadImageFormatException ergibt demnach.

    Zitat

    Sie dürfen keine Komponente verwenden, die mit einer anderen Version von .NET Framework erstellt wurde.

    Diese Ausnahme wird ausgelöst, wenn eine Anwendung oder Komponente, die mit .NET Framework 1.0 oder .NET Framework 1.1 entwickelt wurde, versucht, eine Assembly zu laden, die mit .NET Framework 2.0 SP1 oder höher entwickelt wurde, oder wenn eine Anwendung, die mit .NET Framework 2.0 SP1 oder .NET Framework 3,5 entwickelt wurde, versucht, eine Assembly zu laden, die mit .NET Framework 4 entwickelt wurde. Die BadImageFormatException-Ausnahme wird möglicherweise als Kompilierzeitfehler gemeldet, oder die Ausnahme wird unter Umständen während der Laufzeit ausgelöst.


    Ich gehe stark davon aus, dass du eine falsche Version von NET Framework auf deinem Windows Server installiert hast. Installiere bitte die neuste Version von NET Framework. Wenn das nicht hilft, gibt es noch andere Ansätze, etwa, dass das Programm für eine andere Zielplattform (32/64 Bit) kompiliert wurde.


    https://www.microsoft.com/de-d…oad/details.aspx?id=55170

    logo-white.png?v1

    Dieser Beitrag wurde bereits 1 Mal editiert, zuletzt von Airport ()

  • das Problem über die Änderung der Source lösen zu wollen, ist der falsche

    Und was spricht dagegen sich den meiner Meinung nach doch relevanten Code reinzupfeifen? Wenn man ihn lesen kann und das Problem nachvollziehen kann, dann muss man nicht im dunkeln tappen. Das es wohl ein Plattformproblem ist ist mir bewusst, jedoch wäre hilfreich zu wissen: kann eine DLL nicht geladen werden? Wird eine falsche .NET Version zur Interpretation verwendet?


    Aber gut, der Sourcecode ist ja nicht relevant, lieber 5x im dunkeln gegen die Wand laufen.

  • Airport , ich danke dir für deine Recherche. Ich habe versucht die .NET Framework version 4.7 für den Windows Server 2008 R2 zu installieren, allerdings wurde mir eine Fehlermeldung angezeigt die sagt:




    Wie dort angegeben habe ich ebenfalls versucht erst das Update zu installieren. Allerdings sagte mir dies dann folgendes:



    Ich weiß absolut nicht wo mein Fehler bei der Installation der aktuellsten Version liegt. Ich habe die .NET Framework Installations Datei über die offizielle Windows Seite runtergeladen und darauf geachtet das sie für meinen Server geeignet ist. Aber so richtig annehmen will er sie nicht. Villeicht könntest du mir beim raussuchen der richtigen Datein helfen.






    PixelFriend Du hast mir immernoch nicht verraten welchen Code du möchtest. Bei mir besteht der Emulator aus 542 Datein und ich kann ja wohl schwer den Code von jeder einzelnen hier hochladen. Ich habe bereits den Link zur Filebase erwähnt wo du das Packet findest welchen die auf die CMS angepasste Version des Emulators beinhaltet. Ich möchte nicht unhöflich sein aber ich brauche schon eine genauere Anweisung welchen Code genau du brauchst.

  • Beitrag von PixelFriend ()

    Dieser Beitrag wurde von CrAshBoY aus folgendem Grund gelöscht: Flame/Offtopic ().
  • Beitrag von DerDoktor ()

    Dieser Beitrag wurde von CrAshBoY aus folgendem Grund gelöscht: Quelle gelöscht/Keine Relevanz ().
  • Beitrag von PixelFriend ()

    Dieser Beitrag wurde von CrAshBoY aus folgendem Grund gelöscht: Flame/Offtopic ().
  • Ungeachtet der ganzen Off Topic Diskussion, versuche ich mal weiter zu helfen.


    > Warum benutzt du noch Windows Server 2008, wenn es schon die Editionen 2012 und 2016 gibt? Normalerweise müsste dir dein Hoster die entsprechenden Versionen bereitstellen, ich rate dir diese sowohl aus Sicherheitsgründen als auch wegen den Kompatibilitätsproblemen zu nutzen und nicht die 2008 Version.


    > Wenn du aus irgendwelchen Gründen bei 2008 bleiben musst, hast du bereits die neusten Service Packs und Updates für den Server installiert? In der Systemsteuerung unter Updates müsste es dazu was geben.


    > Falls NET Framework 4.x nicht will, kannst du es eventuell auch mal mit NET Framework 3.5 versuchen. Den Installer gibts dazu im Internet oder im Servermanager > Rollen und Features hinzufügen > Net Framework 3.5. Wenn es da auch die 4.5 Option gibt, gleich mit anhaken.


    > Möglicherweise hat auch nur der eine Emulator seine Probleme mit dem System. Lad dir mal einen anderen Emulator herunter, zum Beispiel den Plus R63B Emulator oder Phoenix, und schau ob derselbe oder ein ähnlicher Fehler bei diesen auch auftritt.